import type { Node } from 'prosemirror-model';
import type { NodeView, NodeViewConstructor } from 'prosemirror-view';
export declare class CheckboxInputView implements NodeView {
    static create: NodeViewConstructor;
    dom: HTMLInputElement;
    private _node;
    private _view;
    private _getPos;
    private constructor();
    ignoreMutation(): boolean;
    update(node: Node): boolean;
    destroy(): void;
    private _createDomElem;
    private _applyNodeAttrsToDomElem;
    private _onInputClick;
}
